addressType: IPv4
apiVersion: discovery.k8s.io/v1
endpoints:
- addresses:
  - 242.0.255.251
  conditions:
    ready: true
kind: EndpointSlice
metadata:
  annotations:
    lighthouse.submariner.io/globalnet-enabled: "false"
    lighthouse.submariner.io/publish-not-ready-addresses: "false"
  creationTimestamp: "2024-12-12T00:24:42Z"
  generation: 9
  labels:
    app: rook-ceph-osd
    ceph-osd-id: "1"
    ceph_daemon_id: "1"
    ceph_daemon_type: osd
    device-class: ssd
    endpointslice.kubernetes.io/managed-by: lighthouse-agent.submariner.io
    failure-domain: worker6.rdr-blue-site-svl-1.cp.fyre.ibm.com
    lighthouse.submariner.io/is-headless: "false"
    lighthouse.submariner.io/sourceNamespace: openshift-storage
    multicluster.kubernetes.io/service-name: rook-ceph-osd-1
    multicluster.kubernetes.io/source-cluster: rdr-blue-site-svl-1
    osd: "1"
    osd-store: bluestore
    portable: "false"
    rook.io/operator-namespace: openshift-storage
    rook_cluster: openshift-storage
    submariner-io/clusterID: rdr-blue-site-svl-1
    submariner-io/originatingNamespace: openshift-storage
    topology-location-host: worker6-rdr-blue-site-svl-1-cp-fyre-ibm-com
    topology-location-root: default
  managedFields:
  - apiVersion: discovery.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:addressType: {}
      f:endpoints: {}
      f:metadata:
        f:annotations:
          .: {}
          f:lighthouse.submariner.io/globalnet-enabled: {}
          f:lighthouse.submariner.io/publish-not-ready-addresses: {}
        f:labels:
          .: {}
          f:app: {}
          f:ceph-osd-id: {}
          f:ceph_daemon_id: {}
          f:ceph_daemon_type: {}
          f:device-class: {}
          f:endpointslice.kubernetes.io/managed-by: {}
          f:failure-domain: {}
          f:lighthouse.submariner.io/is-headless: {}
          f:lighthouse.submariner.io/sourceNamespace: {}
          f:multicluster.kubernetes.io/service-name: {}
          f:multicluster.kubernetes.io/source-cluster: {}
          f:osd: {}
          f:osd-store: {}
          f:portable: {}
          f:rook.io/operator-namespace: {}
          f:rook_cluster: {}
          f:submariner-io/clusterID: {}
          f:submariner-io/originatingNamespace: {}
          f:topology-location-host: {}
          f:topology-location-root: {}
      f:ports: {}
    manager: lighthouse-agent
    operation: Update
    time: "2025-02-05T23:12:27Z"
  name: rook-ceph-osd-1-jqt9d
  namespace: submariner-k8s-broker
  resourceVersion: "80595012"
  uid: c5e9c7fc-6913-4d5e-9365-e8a57d999295
ports:
- name: osd-port-v2
  port: 6800
  protocol: TCP
